@inproceedings{TrobecDepolli2021,
  author = {Roman Trobec and Matja\v{z} Depolli},
  booktitle = {2021 44th International Convention on Information, Communication and Electronic Technology {(MIPRO)}},
  title = {A k-d Tree Based Partitioning of Computational Domains for Efficient Parallel Computing},
  year = {2021},
  pages = {284-290},
  doi = {10.23919/MIPRO52101.2021.9597006}
}

@inproceedings{DepolliTrobec2019,
  author = {Depolli, Matja\v{z} and Trobec, Roman},
  booktitle = {2019 42nd International Convention on Information and Communication Technology, Electronics and Microelectronics {(MIPRO)}},
  title = {Computational efficiency of linear system construction for {MLPG} method on a multicore computer},
  year = {2019},
  pages = {200-205},
  doi = {10.23919/MIPRO.2019.8757104}
}

@article{AdanCardoso2020,
  author = {Adan, Daniel Herrero and Cardoso, Rui},
  title = {Quasi-isotropic initial triangulation of NURBS surfaces},
  year = {2020},
  journal = {European Journal of Computational Mechanics},
  volume = {29},
  number = {1},
  pages = {27-82},
  publisher = {River Publishers}
}

@article{DKS2021,
  author = {Duh, Urban and Kosec, Gregor and Slak, Jure},
  title = {Fast Variable Density Node Generation on Parametric Surfaces with Application to Mesh-Free Methods},
  journal = {SIAM Journal on Scientific Computing},
  volume = {43},
  volume = {2},
  pages = {A980-A1000},
  year = {2021},
  doi = {10.1137/20M1325642},
  URL = {https://doi.org/10.1137/20M1325642},
  eprint = {https://doi.org/10.1137/20M1325642}
}

@article{SurfReconSurvey,
  author    = {Khatamian, Alireza and ArabniaHamid R.},
  title     = {},
  journal   = {Journal of Information Processing Systems},
  publisher = {한국정보처리학회},
  volume    = {12},
  number    = {3},
  pages     = {338-357},
  year      = {2016}
}

@INPROCEEDINGS{9320452,
  author={Deng, Zhantao and Bednařík, Jan and Salzmann, Mathieu and Fua, Pascal},
  booktitle={2020 International Conference on 3D Vision (3DV)}, 
  title={Better Patch Stitching for Parametric Surface Reconstruction}, 
  year={2020},
  volume={},
  number={},
  pages={593-602},
  doi={10.1109/3DV50981.2020.00069}
}

@Book{fornbergRBFPrimer,
  title = {A Primer on Radial Basis Functions with Applications to the Geosciences},
  publisher = {Society for Industrial and Applied Mathematics},
  year = {2015},
  author = {Bengt Fornberg and Natasha Flyer},
  adress = {Philadelphia},
  isbn = {978-1-611974-02-7}
}
  
@article{FLYER201621,
  title = {On the role of polynomials in RBF-FD approximations: I. Interpolation and accuracy},
  journal = {Journal of Computational Physics},
  volume = {321},
  pages = {21-38},
  year = {2016},
  issn = {0021-9991},
  doi = {https://doi.org/10.1016/j.jcp.2016.05.026},
  url = {https://www.sciencedirect.com/science/article/pii/S0021999116301632},
  author = {Natasha Flyer and Bengt Fornberg and Victor Bayona and Gregory A. Barnett},
}

@article{normalsVCM,
  author = {Cuel, Louis and Lachaud, Jacques-Olivier and Mérigot, Quentin and Thibert, Boris},
  title = {Robust Geometry Estimation Using the Generalized Voronoi Covariance Measure},
  journal = {SIAM Journal on Imaging Sciences},
  volume = {8},
  number = {2},
  pages = {1293-1314},
  year = {2015},
  doi = {10.1137/140977552},
  URL = {https://doi.org/10.1137/140977552},
  eprint = {https://doi.org/10.1137/140977552}
}

@inproceedings{normalsJets,
  author = {Cazals, Frederic and Pouget, Marc},
  year = {2003},
  month = {05},
  pages = {177-187},
  title = {Estimating Differential Quantities Using Polynomial Fitting of Osculating Jets},
  volume = {22},
  journal = {Computer Aided Geometric Design - CAGD},
  doi = {10.1016/j.cagd.2004.09.004}
}

@article{curlFreeRBF,
author = {Drake, Kathryn and Fuselier, Edward and Wright, Grady},
year = {2021},
month = {01},
title = {Implicit Surface Reconstruction with a Curl-free Radial Basis Function Partition of Unity Method}
}

@INPROCEEDINGS{SBGRBF,
  author={Slak, Jure and Stojanovič, Blaž and Kosec, Gregor},
  booktitle={2019 4th International Conference on Smart and Sustainable Technologies (SpliTech)}, 
  title={High order RBF-FD approximations with application to a scattering problem}, 
  year={2019},
  pages={1-5},
  doi={10.23919/SpliTech.2019.8782918}
}

@article{bentley1975kdtree,
	author = {Bentley, Jon Louis},
	title = {Multidimensional Binary Search Trees Used for Associative Searching},
	year = {1975},
	issue_date = {Sept. 1975},
	publisher = {Association for Computing Machinery},
	address = {New York, NY, USA},
	volume = {18},
	number = {9},
	issn = {0001-0782},
	url = {https://doi.org/10.1145/361002.361007},
	doi = {10.1145/361002.361007},
	abstract = {This paper develops the multidimensional binary search tree (or k-d tree, where k is the dimensionality of the search space) as a data structure for storage of information to be retrieved by associative searches. The k-d tree is defined and examples are given. It is shown to be quite efficient in its storage requirements. A significant advantage of this structure is that a single data structure can handle many types of queries very efficiently. Various utility algorithms are developed; their proven average running times in an n record file are: insertion, O(log n); deletion of the root, O(n(k-1)/k); deletion of a random node, O(log n); and optimization (guarantees logarithmic performance of searches), O(n log n). Search algorithms are given for partial match queries with t keys specified [proven maximum running time of O(n(k-t)/k)] and for nearest neighbor queries [empirically observed average running time of O(log n).] These performances far surpass the best currently known algorithms for these tasks. An algorithm is presented to handle any general intersection query. The main focus of this paper is theoretical. It is felt, however, that k-d trees could be quite useful in many applications, and examples of potential uses are given.},
	journal = {Commun. ACM},
	month = {sep},
	pages = {509–517},
	numpages = {9},
	keywords = {binary search trees, information retrieval system, key, binary tree insertion, associative retrieval, partial match queries, attribute, nearest neighbor queries, intersection queries}
}

@article{shankar2020manifolds,
	author = {Shankar, Varun and Wright, Grady B. and Narayan, Akil},
	title = {A Robust Hyperviscosity Formulation for Stable RBF-FD Discretizations of Advection-Diffusion-Reaction Equations on Manifolds},
	journal = {SIAM Journal on Scientific Computing},
	volume = {42},
	number = {4},
	pages = {A2371-A2401},
	year = {2020},
	doi = {10.1137/19M1288747},
	URL = { https://doi.org/10.1137/19M1288747},
	eprint = {https://doi.org/10.1137/19M1288747},
	abstract = { We present a new hyperviscosity formulation for stabilizing radial basis function-finite difference (RBF-FD) discretizations of advection-diffusion-reaction equations on manifolds \$\mathbb{M} \subset \mathbb{R}^3\$ of codimension 1. Our technique involves automatic addition of artificial hyperviscosity to damp out spurious modes in the differentiation matrices corresponding to surface gradients, in the process overcoming a technical limitation of a recently developed Euclidean formulation. Like the Euclidean formulation, the manifold formulation relies on von Neumann stability analysis performed on auxiliary differential operators that mimic the spurious solution growth induced by RBF-FD differentiation matrices. We demonstrate high-order convergence rates on problems involving surface advection and surface advection-diffusion. Finally, we demonstrate the applicability of our formulation to advection-diffusion-reaction equations on manifolds described purely as point clouds. Our surface discretizations use the recently developed RBF-least orthogonal interpolation method and, with the addition of hyperviscosity, are now empirically high-order accurate, stable, and free of stagnation errors. }
}

@article{medusa,
	author = {Slak, Jure and Kosec, Gregor},
	title = {Medusa: A C++ Library for Solving PDEs Using Strong Form Mesh-Free 
	Methods},
	year = {2021},
	issue_date = {June 2021},
	publisher = {Association for Computing Machinery},
	address = {New York, NY, USA},
	volume = {47},
	number = {3},
	issn = {0098-3500},
	doi = {10.1145/3450966},
	abstract = {Medusa, a novel library for implementation of non-particle 
	strong form mesh-free methods, such as GFDM or RBF-FD, is described. We 
	identify and present common parts and patterns among many such methods 
	reported in the literature, such as node positioning, stencil selection, 
	and stencil weight computation. Many different algorithms exist for each
	part and the possible combinations offer a plethora of possibilities for 
	improvements of solution procedures that are far from fully understood. As 
	a consequence there are still many unanswered questions in the mesh-free 
	community resulting in vivid ongoing research in the field. Medusa 
	implements the core mesh-free elements as independent blocks, which offers 
	users great flexibility in experimenting with the method they are 
	eveloping, as well as easily comparing it with other existing methods. The 
	article describes the chosen abstractions and their usage, illustrates 
	aspects of the philosophy and design, offers some executions time 
	benchmarks and demonstrates the application of the library on cases from 
	linear elasticity and fluid flow in irregular 2D and 3D domains.},
	journal = {ACM Trans. Math. Softw.},
	month = jun,
	articleno = {28},
	numpages = {25},
	keywords = {object-oridented programming, meshless methods, Strong form 
	mesh-free methods, RBF-FD, PDE}
}

@article{tominec2021unfitted,
	title = {An unfitted RBF-FD method in a least-squares setting for elliptic PDEs on complex geometries},
	journal = {Journal of Computational Physics},
	volume = {436},
	pages = {110283},
	year = {2021},
	issn = {0021-9991},
	doi = {https://doi.org/10.1016/j.jcp.2021.110283},
	url = {https://www.sciencedirect.com/science/article/pii/S0021999121001789},
	author = {Igor Tominec and Eva Breznik},
	keywords = {Complex geometry, Radial basis function, Least-squares, Partial differential equation, Immersed method, Ghost points},
	abstract = {Radial basis function generated finite difference (RBF-FD) methods for PDEs require a set of interpolation points which conform to the computational domain Ω. One of the requirements leading to approximation robustness is to place the interpolation points with a locally uniform distance around the boundary of Ω. However generating interpolation points with such properties is a cumbersome problem. Instead, the interpolation points can be extended over the boundary and as such completely decoupled from the shape of Ω. In this paper we present a modification to the least-squares RBF-FD method which allows the interpolation points to be placed in a box that encapsulates Ω. This way, the node placement over a complex domain in 2D and 3D is greatly simplified. Numerical experiments on solving an elliptic model PDE over complex 2D geometries show that our approach is robust. Furthermore it performs better in terms of the approximation error and the runtime vs. error compared with the classic RBF-FD methods. It is also possible to use our approach in 3D, which we indicate by providing convergence results of a solution over a thoracic diaphragm.}
}

@book{marchuk2012weather,
	title={Numerical methods in weather prediction},
	author={Marchuk, Gurii},
	year={2012},
	publisher={Elsevier}
}

@article{benaarbia2018turbine,
	title = {Unified viscoplasticity modelling and its application to fatigue-creep behaviour of gas turbine rotor},
	journal = {International Journal of Mechanical Sciences},
	volume = {136},
	pages = {36-49},
	year = {2018},
	issn = {0020-7403},
	doi = {https://doi.org/10.1016/j.ijmecsci.2017.12.008},
	url = {https://www.sciencedirect.com/science/article/pii/S0020740317324323},
	author = {A. Benaarbia and Y. Rae and W. Sun},
	keywords = {Cyclic viscoplasticity, Finite element, Return mapping, Gas turbine rotor},
	abstract = {This paper presents an elasto-viscoplastic finite element modelling framework including the associated UMAT codes to investigate the high-temperature behaviour of a gas turbine rotor steel. The model used in the FE study is an improved and unified Chaboche–Lemaitre model which combines a power flow rule with non-linear anisothermal evolution of isotropic and kinematic hardening. The computational methodology is a three-dimensional framework following an implicit formulation and based on a radial return mapping algorithm. The UMAT is calibrated and validated across isothermal hold-time cyclic tests. The model is applied to a classical industrial gas turbine rotor to study the spatial heterogeneities and critical high stress areas within the rotor structure. The effect of thermal transients and geometry singularities on the development of residual stresses is underlined. Finally, the potential improvements and extensions of such FE viscoplastic analysis are discussed.}
}

@article{nurbsCite,
	title={A NURBS enhanced extended finite element approach for unfitted CAD analysis},
	journal={Computational Mechanics},
	volume={52},
	pages={913-929},
	year={2013},
	author={Legrain, Gregory}
}
